<div class="contenedor">
  <app-side-bar></app-side-bar>
  <div class="position-relative">
    <div class="position-relative d-flex justify-content-between align-items-center p-3">
      <!-- Titulo de la página, buscador y calendario -->
      <div class="d-flex row">
        <h1 class="max-content">Albaranes</h1>
      </div>
      <div class="d-flex">
        <!-- Calendario -->
        <!-- <div class="d-flex align-items-center position-relative">
          <div [ngClass]="{'pressed-button': startDate.value !== ''}" class="pressed-button me-4">
            <img class="cursor-pointer" (click)="openCalendar()" src="assets/img/calendario.svg">
          </div>
          <form #calendar class="col visibility-hidden sombra calendario">
            <img class="cross position-absolute cursor-pointer" (click)="closeCalendar()" src="assets/img/xmark.svg">
            <div class="row d-flex mb-3">
              <div class="col-sm-6 max-content mb-2">
                <p class="max-content">Inicio</p>
                <input #startDate type="date">
              </div>
              <div class="col-sm-6 max-content mb-2">
                <p class="max-content">Fin</p>
                <input #endDate type="date">
              </div>
            </div>
            <div class="justify-content-center d-flex">
              <button (click)="removeDate()" class="btn btn-outline-secondary me-3">Borrar</button>
              <button (click)="searchDate()" class="btn btn-primary text-white">Buscar</button>
            </div>
          </form>
        </div> -->
        <!-- Buscador -->
        <div class="position-relative align-items-center d-flex">
          <input #searchInput (input)="search($event)" class="align-self-center buscador entrada sombra" type="text" placeholder="Buscar" name="buscar">
          <ul *ngIf="searchResults.length > 0" class="list-group position-absolute busqueda">
            <li *ngFor="let result of searchResults" class="list-group-item" (click)="selectResult(result)">
              <span [innerHTML]="result"></span>
            </li>
          </ul>
        </div>
      </div>
    </div>
    <!-- Tabla -->
    <div class="alturaTabla">
      <table class="table table-hover">
        <thead>
          <tr>
            <!-- <th>
              <div class="d-flex align-items-center">
                <div class="custom-control custom-checkbox ml">
                  <input type="checkbox" class="custom-control-input" id="customCheck2">
                </div>
                <div class="d-flex flex-direction mFlechas visibility-hidden">
                  <img class="flechas cursor-pointer" src="assets/img/flecha_arriba_blanca.svg">
                  <img class="flechas cursor-pointer" src="assets/img/flecha_abajo_blanca.svg">
                </div>
              </div>
            </th> -->
            <th>
              <div class="d-flex tamCelda2 align-items-center">
                <div>
                  Número
                </div>
                <div class="d-flex flex-direction mFlechas">
                  <img (click)="ordenar('asc', 'numero')" class="flechas cursor-pointer" src="assets/img/flecha_arriba_blanca.svg">
                  <img (click)="ordenar('desc', 'numero')" class="flechas cursor-pointer" src="assets/img/flecha_abajo_blanca.svg">
                </div>
              </div>
            </th>
            <th>
              <div class="d-flex tamCelda2 align-items-center">
                <div>
                  Proveedor
                </div>
                <div class="d-flex flex-direction mFlechas">
                  <img (click)="ordenar('asc', 'proveedor')" class="flechas cursor-pointer" src="assets/img/flecha_arriba_blanca.svg">
                  <img (click)="ordenar('desc', 'proveedor')" class="flechas cursor-pointer" src="assets/img/flecha_abajo_blanca.svg">
                </div>
              </div>
            </th>
            <th>
              <div class="d-flex align-items-center">
                <div>
                  M3
                </div>
                <div class="d-flex flex-direction mFlechas">
                  <img (click)="ordenar('asc', 'm3')" class="flechas cursor-pointer" src="assets/img/flecha_arriba_blanca.svg">
                  <img (click)="ordenar('desc', 'm3')" class="flechas cursor-pointer" src="assets/img/flecha_abajo_blanca.svg">
                </div>
              </div>
            </th>
            <th>
              <div class="d-flex align-items-center">
                <div>
                  Tipo Hormigón
                </div>
                <div class="d-flex flex-direction mFlechas">
                  <img (click)="ordenar('asc', 'tipoHormigon')" class="flechas cursor-pointer" src="assets/img/flecha_arriba_blanca.svg">
                  <img (click)="ordenar('desc', 'tipoHormigon')" class="flechas cursor-pointer" src="assets/img/flecha_abajo_blanca.svg">
                </div>
              </div>
            </th>
            <th>
              <div class="d-flex align-items-center">
                <div>
                  Foto
                </div>
                <div class="d-flex flex-direction mFlechas">
                  <img (click)="ordenar('asc', 'otro')" class="flechas cursor-pointer" src="assets/img/flecha_arriba_blanca.svg">
                  <img (click)="ordenar('desc', 'otro')" class="flechas cursor-pointer" src="assets/img/flecha_abajo_blanca.svg">
                </div>
              </div>
            </th>
            <th>
              <div class="d-flex align-items-center">
                <div>
                  Otro
                </div>
                <div class="d-flex flex-direction mFlechas">
                  <img (click)="ordenar('asc', 'otro')" class="flechas cursor-pointer" src="assets/img/flecha_arriba_blanca.svg">
                  <img (click)="ordenar('desc', 'otro')" class="flechas cursor-pointer" src="assets/img/flecha_abajo_blanca.svg">
                </div>
              </div>
            </th>
            <!-- <th>
              <div class="d-flex align-items-center">
                <div>
                  Acciones
                </div>
                <div class="d-flex flex-direction mFlechas visibility-hidden">
                  <img (click)="ordenar('asc', 'estado')" class="flechas cursor-pointer" src="assets/img/flecha_arriba_blanca.svg">
                  <img (click)="ordenar('desc', 'estado')" class="flechas cursor-pointer" src="assets/img/flecha_abajo_blanca.svg">
                </div>
              </div>
            </th> -->
          </tr>
        </thead>
        <tbody *ngIf="loadCompleted">
          <tr *ngFor="let albaran of albaranes; let i = index">
            <!-- <td>
              <div class="custom-control custom-checkbox ml">
                  <input type="checkbox" class="custom-control-input" id="customCheck2">
              </div>
            </td> -->
            <td class="align-items-center">{{albaran.numero}}</td>
            <td class="align-items-center">{{albaran.proveedor}}</td>
            <td class="align-items-center">{{albaran.m3}}</td>
            <td class="align-items-center">{{albaran.tipoHormigon}}</td>
            <!-- <td class="align-items-center">{{albaran.fechaCreacion | date:'dd/MM/yy, h:mm:ss a'}}</td> -->
            <td class="align-items-center link">
              <p class="cursor-pointer" (click)="descargar(albaran.foto)">{{albaran.foto}}</p>
            </td>
            <td class="align-items-center">{{albaran.otro}}</td>
            <!-- <td class="align-items-center">
              <div class="d-flex">
                <div class="max-content ms-1">
                  <img (click)="convertBase64(inspeccion)" class="cursor-pointer" src="assets/img/download.svg">
                </div>
                <div class="max-content ms-1">
                  <img (click)="abrirAviso(inspeccion)" class="cursor-pointer icono" src="assets/img/forward-arrow.svg">
                </div>
              </div>
            </td> -->
          </tr>
        </tbody>
      </table>
    </div>
    <!-- Loading -->
    <div class="d-flex justify-content-center loading" *ngIf="!loadCompleted">
      cargando
    </div>
    <!-- Paginacion -->
    <div class="mt-2 position-absolute bottom-0 w-100">
      <app-pagination (changePage)="changePage($event)" [dataLoaded]="loadCompleted" [recordsTotal]="recordsTotal" [recordCurrent]="recordCurrent + 1" [recordsPerPage]="recordsPerPage"></app-pagination>
    </div>
  </div>
</div>
